lsusb(8)

NAZWA
lsusb - wypisuje urządzenia USB

SKŁADNIA
lsusb [ opcje ]

OPIS
lsusb is a utility for displaying information about USB buses in the system and the devices connected to them. It uses udev's hardware database to associate a full human-readable name to the vendor ID and the product ID.

OPCJE

-v, --verbose
    Tells lsusb to be verbose and display detailed information about the devices shown. This includes configuration descriptors for the device's current speed. Class descriptors will be shown, when available, for USB device classes including hub, audio, HID, communications, and chipcard. Can be used with the t option.

-s [[szyna]:][numer-urządzenia]
    Show only devices in specified bus and/or devnum. Both IDs are given in decimal and may be omitted.

-d [dostawca]:[produkt]
    Show only devices with the specified vendor and product ID. Both IDs are given in hexadecimal.

-D urządzenie
    Nie przeszukuje katalogu /dev/bus/usb, lecz wyświetla informacje o urządzeniu jedynie z podanego pliku urządzenia. Plik urządzenia powinien być czymś w rodzaju /dev/bus/usb/001/001. Ta opcja wyświetla szczegółowe informacje, podobnie jak -v i z tego powodu wymaga uprawnień administracyjnych.

-t, --tree
    Tells lsusb to dump the physical USB device hierarchy as a tree. Verbosity can be increased twice with the v option.

-V, --version
    Wypisuje informacje o wersji na standardowe wyjście i kończy się z powodzeniem.

WARTOŚĆ ZWRACANA
Jeśli nie odnaleziono podanego urządzenia, zwracana jest wartość niezerowa.

ZOBACZ TAKŻE
lspci(8), usbview(8).

AUTOR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.